Bug 498067 - Build Environment DISPLAY variable munged in R-widgetTools-1.15.0-2
Summary: Build Environment DISPLAY variable munged in R-widgetTools-1.15.0-2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: R-tkWidgets
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-28 18:38 UTC by R P Herrold
Modified: 2011-06-27 14:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:11:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description R P Herrold 2009-04-28 18:38:25 UTC
Description of problem:

The BUILD environment is somehow unsetting an existing Display variable

Version-Release number of selected component (if applicable):

 R-widgetTools-1.15.0-2

How reproducible:

rpmbuild --rebuild   R-widgetTools-1.15.0-2orc.src.rpm 

[the local %dist variable is so set, but this is the RawHide version]

I see:

** preparing package for lazy loading
Loading Tcl/Tk interface ... Warning in fun(...) : no DISPLAY variable so Tk is not available
done
** help


but ...

[herrold@centos-5 R]$ set | grep DISPLAY
DISPLAY=:0.0
[herrold@centos-5 R]$ 
[herrold@centos-5 R]$ rpm -qa tk\* tcl\*
tclx-8.4.0-5.fc6
tcl-devel-8.4.13-3.fc6
tclx-devel-8.4.0-5.fc6
tclx-doc-8.4.0-5.fc6
tkinter-2.4.3-24.el5
tcl-devel-8.4.13-3.fc6
tk-devel-8.4.13-5.el5_1.1
tcl-html-8.4.13-3.fc6
tcl-mysqltcl-3.05-1orc
tcl-8.4.13-3.fc6
tk-8.4.13-5.el5_1.1
tclx-devel-8.4.0-5.fc6
tk-devel-8.4.13-5.el5_1.1
tcl-8.4.13-3.fc6
tk-8.4.13-5.el5_1.1
[herrold@centos-5 R]$

Steps to Reproduce:

as above
  
Actual results:

a failed build, in that it lacks Tk support

Expected results:

a working rebuild

Additional info:

I don't know that I have much else to add, but will respond as asked, of course

Comment 1 Pierre-YvesChibon 2009-05-20 06:40:56 UTC
Is the problem still present in 1.18.0 ?

Comment 2 Bug Zapper 2009-06-09 14:43:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 R P Herrold 2009-07-14 14:59:51 UTC
as to commment 1

Loading required package: tcltk
Loading Tcl/Tk interface ... Warning in fun(...) : no DISPLAY variable so Tk is not available
done
** help

The issue is not fixed as of R-tkWidgets-1.22.0-1.fc12.src.rpm

Comment 4 Pierre-YvesChibon 2009-07-14 15:06:44 UTC
weird:

> library(widgetTools)
Loading required package: tcltk
Loading Tcl/Tk interface ... done
>

$ set | grep DISPLAY
DISPLAY=:0.0
$ rpm -qa tk\* tcl\*
tk-8.5.6-4.fc11.x86_64
tcl-8.5.6-6.fc11.x86_64
tcl-tclxml-3.2-5.fc11.x86_64
tclsoap-1.6.7-6.fc11.noarch
tkdnd-1.0a2-13.fc11.x86_64
tcl-devel-8.5.6-6.fc11.x86_64
tkinter-2.6-9.fc11.x86_64
tk-devel-8.5.6-4.fc11.x86_64
tcllib-1.11.1-2.fc11.noarch
tcltls-1.6-4.fc11.x86_64

On
R-widgetTools-1.22.0-1.fc11.noarch

Comment 5 Yanko Kaneti 2009-07-14 15:20:46 UTC
You can't expect to have DISPLAY in the buildroot. The builders are nominally headless boxes.

Comment 6 R P Herrold 2009-07-14 15:42:37 UTC
snapshotting environment for record

[herrold@centos-5 ~]$ set | grep DISPLAY ; rpm -qa tk\* tcl\* | sort
DISPLAY=:0.0
tcl-8.4.13-3.fc6
tcl-8.4.13-3.fc6
tcl-devel-8.4.13-3.fc6
tcl-devel-8.4.13-3.fc6
tcl-html-8.4.13-3.fc6
tcl-mysqltcl-3.05-1orc
tclx-8.4.0-5.fc6
tclx-devel-8.4.0-5.fc6
tclx-devel-8.4.0-5.fc6
tclx-doc-8.4.0-5.fc6
tk-8.4.13-5.el5_1.1
tk-8.4.13-5.el5_1.1
tk-devel-8.4.13-5.el5_1.1
tk-devel-8.4.13-5.el5_1.1
tkinter-2.4.3-24.el5
[herrold@centos-5 ~]$

  Yanko Kaneti (yaneti)  ... this is not in a restricted build environment buildroot -- thanks for the guess, though

Comment 7 Pierre-YvesChibon 2009-08-07 07:50:32 UTC
Based on what I can see here:
https://stat.ethz.ch/pipermail/r-sig-mac/2008-May/004958.html

It would be a problem from tcltk.

Comment 8 Bug Zapper 2009-11-16 09:57:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 R P Herrold 2009-11-20 22:09:53 UTC
This issue is not resolved in F-12, and really is a long running issue in need of a better buildroot -- moving back into RawHide

Comment 10 Pierre-YvesChibon 2010-01-13 17:07:24 UTC
I have never been able to reproduce this bug, can you still ?
I am open to any suggestion to correct this.

By any chance does this appear in a machine running X ?

Comment 11 R P Herrold 2010-01-14 16:19:12 UTC
will check in a clean install

Comment 12 R P Herrold 2010-02-03 22:11:11 UTC
test environment reconfirms the problem persists -- building a update report

Comment 13 Bug Zapper 2010-03-15 12:34:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Pierre-YvesChibon 2011-01-24 19:25:59 UTC
Are you still able to reproduce this bug ?

Comment 15 Bug Zapper 2011-06-02 18:07:26 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2011-06-27 14:11:04 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.